INTERFACE
SUBROUTINE UVSPE(PETPSI,PDIKHI,PU,PV,KFLSUR,KFIELD,KOUTP)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NSPEC2
USE YOMCT0 , ONLY : NPRTRV
USE YOMGEM , ONLY : NGPTOT
INTEGER(KIND=JPIM),INTENT(IN) :: KFLSUR
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELD
REAL(KIND=JPRB) ,INTENT(OUT) :: PETPSI(KFLSUR,NSPEC2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIKHI(KFLSUR,NSPEC2)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(NGPTOT,KFIELD)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(NGPTOT,KFIELD)
INTEGER(KIND=JPIM),INTENT(IN) :: KOUTP
END SUBROUTINE UVSPE
END INTERFACE
